Granny's Programming Pearls
"inside of every large program is a small program struggling to get out"
JavaRanch.com/granny.jsp
The moose likes JForum and the fly likes Upgrading to RC5 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of OCM Java EE 6 Enterprise Architect Exam Guide this week in the OCMJEA forum!
JavaRanch » Java Forums » Products » JForum
Bookmark "Upgrading to RC5" Watch "Upgrading to RC5" New topic
Author

Upgrading to RC5

Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Upgrading to RC5
The information in this topic is destined to people who is already using previous versions of JForum. You don't need to follow these steps if this is your first time with JForum

:arrow: Backup your current database, for safety;

:arrow: Run the SQL script called mysql_rc4_to_rc5.sql, ir you're using MySQL, or postgresql_rc4_to_rc5.sql ir you're using PostgreSQL,located in the root directory. This script will correct the tables.

:arrow: See http://www.coderanch.com/t/574339 #permissions . We added some new permission control options, so you should re-save your existing ones again. This was a mistake when releasing RC5.

You must run these upgrade script, otherwise your jforum installation will not work correctly, since some tables have changed since RC4.

Depending the latest version you have ( for example, rc2, rc3 etc ), you may also want to take a look at http://www.coderanch.com/t/574427 or http://www.coderanch.com/t/574531 before running the instructions here described.

Rafael
[originally posted on jforum.net by Rafael Steil]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
I have rc3 version. How I upgrade forum to rc5? Where I get sql script upgrade to rc4 beforte upgrade to rc5?
[originally posted on jforum.net by juric]
Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
juric wrote: I have rc3 version. How I upgrade forum to rc5? Where I get sql script upgrade to rc4 beforte upgrade to rc5?


Hi,

take a look here: http://www.coderanch.com/t/574531

You will need to download RC4 in order to get the scripts ( you don't need to install rc4.. just get it to have the sql scripts ).

Rafael
[originally posted on jforum.net by Rafael Steil]
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Upgrading to RC5